Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util
Class InvocationSessionStore

    java.lang.Object
      org.apache.struts2.util.InvocationSessionStore

    public class InvocationSessionStore

extends Object

InvocationSessionStore

Nested Class Summary
`private static class` | `InvocationSessionStore.InvocationContext`

Field Summary
`private static String` | `INVOCATION_MAP_KEY`

Constructor Summary
`private` | `InvocationSessionStore()`

Method Summary
`(package private) static Map` | `getInvocationMap()`
`static ActionInvocation` | `loadInvocation(String key, String token)` Checks the Map in the Session for the key and the token.
`(package private) static void` | `setInvocationMap(Map invocationMap)`
`static void` | `storeInvocation(String key, String token, ActionInvocation invocation)` Stores the DefaultActionInvocation and ActionContext into the Session using the provided key for loading later using `loadInvocation(java.lang.String, java.lang.String)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVOCATION_MAP_KEY

    private static final String INVOCATION_MAP_KEY

See Also:
  Constant Field Values

Constructor Detail

### InvocationSessionStore

    private InvocationSessionStore()

Method Detail

### loadInvocation

    public static ActionInvocation loadInvocation(String key,
                                                  String token)

  Checks the Map in the Session for the key and the token. If the ActionInvocation is saved in the Session, the ValueStack from the ActionProxy associated with the ActionInvocation is set into the ActionContext and the ActionInvocation is returned.

  Parameters:
    `key` - the name the DefaultActionInvocation and ActionContext were saved as
  Returns:
    the DefaultActionInvocation saved using the key, or null if none was found

### storeInvocation

    public static void storeInvocation(String key,
                                       String token,
                                       ActionInvocation invocation)

  Stores the DefaultActionInvocation and ActionContext into the Session using the provided key for loading later using `loadInvocation(java.lang.String, java.lang.String)`

  Parameters:
    `key` -
    `invocation` -

### setInvocationMap

    static void setInvocationMap(Map invocationMap)

### getInvocationMap

    static Map getInvocationMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.